thrift-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dennis <arsenep...@yahoo.com.cn>
Subject Re: libtool version
Date Fri, 02 Apr 2010 13:16:39 GMT
This is what I did, I downloaded cassandra-0.5.1, and installed it follow the instructure(http://wiki.apache.org/cassandra/GettingStarted),
and everything was OK.
I ran the "CassandraCli" (http://wiki.apache.org/cassandra/CassandraCli), and it was OK
And I downloaded Thrift from svn (2010-04-01), and tried to install it follow http://wiki.apache.org/thrift/ThriftInstallation,
and errors occured.
firstroot@dennispark-desktop:/home/dennispark/soft/program/thrift-svn# ./bootstrap.sh libtoolize:
You should add the contents of `./aclocal/libtool.m4' to `aclocal.m4'.libtoolize: You should
add the contents of `./aclocal/ltoptions.m4' to `aclocal.m4'.libtoolize: You should add the
contents of `./aclocal/ltsugar.m4' to `aclocal.m4'.libtoolize: You should add the contents
of `./aclocal/ltversion.m4' to `aclocal.m4'.libtoolize: You should add the contents of `./aclocal/lt~obsolete.m4'
to `aclocal.m4'.configure.ac:44: installing `./config.guess'configure.ac:44: installing `./config.sub'configure.ac:26:
installing `./install-sh'configure.ac:26: installing `./missing'compiler/cpp/Makefile.am:
installing `./depcomp'configure.ac: installing `./ylwrap'

secondroot@dennispark-desktop:/home/dennispark/soft/program/thrift-svn# ./configure checking
for a BSD-compatible install... /usr/bin/install -cchecking whether build environment is sane...
yeschecking for a thread-safe mkdir -p... /bin/mkdir -pchecking for gawk... nochecking for
mawk... mawkchecking whether make sets $(MAKE)... yes
...... P.S. a few lines end with "no"
checking for clock_gettime... yeschecking for sched_get_priority_min... yeschecking for sched_get_priority_max...
yeschecking the behavior of a signed right shift... arithmeticconfigure: creating ./config.statusconfig.status:
creating Makefileconfig.status: creating compiler/cpp/Makefileconfig.status: creating lib/Makefileconfig.status:
creating lib/cpp/Makefileconfig.status: creating lib/cpp/thrift.pcconfig.status: creating
lib/cpp/thrift-nb.pcconfig.status: creating lib/cpp/thrift-z.pcconfig.status: creating lib/csharp/Makefileconfig.status:
creating lib/java/Makefileconfig.status: creating lib/perl/Makefileconfig.status: creating
lib/perl/test/Makefileconfig.status: creating lib/py/Makefileconfig.status: creating lib/rb/Makefileconfig.status:
creating test/Makefileconfig.status: creating test/py/Makefileconfig.status: creating test/rb/Makefileconfig.status:
creating config.hconfig.status: executing depfiles commandsconfig.status: executing libtool
 commands


thirdmake......                                P.S. everything looks fine
at the beginning.mv -f .deps/thrift-t_js_generator.Tpo .deps/thrift-t_js_generator.Po/bin/sh
../../libtool --tag=CXX   --mode=link g++ -Wall -I./src -I/usr/include -g -O2 -Wall -L/usr/lib
 -o thrift thrift-thrifty.o thrift-thriftl.o thrift-main.o md5.o thrift-t_generator.o thrift-t_cpp_generator.o
thrift-t_java_generator.o thrift-t_csharp_generator.o thrift-t_py_generator.o thrift-t_rb_generator.o
thrift-t_perl_generator.o thrift-t_php_generator.o thrift-t_erl_generator.o thrift-t_cocoa_generator.o
thrift-t_st_generator.o thrift-t_ocaml_generator.o thrift-t_hs_generator.o thrift-t_xsd_generator.o
thrift-t_html_generator.o thrift-t_js_generator.o -lfl -lrt -lpthread libtool: Version mismatch
error.  This is libtool 2.2.6, but thelibtool: definition of this LT_INIT comes from libtool
2.2.6b.libtool: You should recreate aclocal.m4 with macros from libtool
 2.2.6libtool: and run autoconf again.make[3]: *** [thrift] Error 63make[3]: Leaving directory
`/home/dennispark/soft/program/thrift-svn/compiler/cpp'make[2]: *** [all] Error 2make[2]:
Leaving directory `/home/dennispark/soft/program/thrift-svn/compiler/cpp'make[1]: *** [all-recursive]
Error 1make[1]: Leaving directory `/home/dennispark/soft/program/thrift-svn'make: *** [all]
Error 2

So, I think it's the libtool problem.Actually, I also tried thrift-0.2.0-incubating, and
a few thrift, none was running good.
ThanksDennis.






What did you download and what commands did you run?

Dennis wrote:
> hi, there,
> when I try to "make" thrift, I got this error:../../libtool: line 467: CDPATH: command
not found../../libtool: line 1145: func_opt_split: command not foundlibtool: Version mismatch
error.  This is libtool 2.2.6b, but thelibtool: definition of this LT_INIT comes from an
older release.libtool: You should recreate aclocal.m4 with macros from libtool 2.2.6blibtool:
and run autoconf again.
> so, which libtool version should I use?
> Thanks.Dennis
> 
> 
>       



      
Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message